Package pygccxml :: Package declarations :: Module calldef :: Class free_operator_t

# type free_operator_t

source code

                   object --+
                            |
    declaration.declaration_t --+
                                |
                        calldef_t --+
                                    |
                       free_calldef_t --+
                                        |
                           object --+   |
                                    |   |
                           operator_t --+
                                        |
                                       free_operator_t

Known Subclasses:
  - pyplusplus.decl_wrappers.calldef_wrapper.free_operator_t

describes free operator declaration

Instance Methods

__init__(self, *args, **keywords) | source code

Inherited from `free_calldef_t`: `__str__`, `create_decl_string`, `function_type` Inherited from `calldef_t`: `__eq__`, `i_depend_on_them` Inherited from `declaration.declaration_t`: `__lt__`, `__ne__`

Class Variables
Inherited from `operator_t`: `OPERATOR_WORD_LEN`

Properties
| class_types list of class/class declaration types, extracted from the operator arguments

Inherited from `calldef_t`: `argument_types`, `arguments`, `demangled_name`, `does_throw`, `exceptions`, `has_ellipsis`, `has_extern`, `optional_args`, `overloads`, `required_args`, `return_type`

Inherited from `declaration.declaration_t`: `attributes`, `cache`, `compiler`, `decl_string`, `demangled`, `is_artificial`, `location`, `mangled`, `name`, `parent`, `partial_decl_string`, `partial_name`, `top_parent`

Inherited from `operator_t`: `symbol`

Method Details

### __init__(self, *args, **keywords)
(Constructor)

source code

Overrides: operator_t.__init__

Property Details

### class_types

list of class/class declaration types, extracted from the operator arguments